Package org.apache.uima.cas.impl

# Class TypeImpl_array

java.lang.Object
org.apache.uima.cas.impl.TypeImpl
org.apache.uima.cas.impl.TypeImpl_array

All Implemented Interfaces:
  `Comparable<TypeImpl>`, `Iterable<Feature>`, `TypeSystemConstants`, `Type`

public class TypeImpl_array extends TypeImpl implements TypeSystemConstants

- ## Field Summary

  ### Fields inherited from class org.apache.uima.cas.impl.TypeImpl

  `isBuiltIn, isCreatableAndNotBuiltinArray, isFeatureFinal, isInheritanceFinal, isLongOrDouble, isRefType, javaClass, singleton`

  ### Fields inherited from interface org.apache.uima.cas.impl.TypeSystemConstants

  `annotBaseSofaFeatAdjOffset, annotBaseSofaFeatCode, annotBaseTypeCode, annotTypeCode, arrayBaseTypeCode, beginFeatAdjOffset, beginFeatCode, booleanArrayTypeCode, booleanTypeCode, byteArrayTypeCode, byteTypeCode, docTypeCode, doubleArrayTypeCode, doubleTypeCode, endFeatAdjOffset, endFeatCode, floatArrayTypeCode, floatEListTypeCode, floatListTypeCode, floatNeListTypeCode, floatTypeCode, fsArrayTypeCode, fsEListTypeCode, fsListTypeCode, fsNeListTypeCode, intArrayTypeCode, intEListTypeCode, intListTypeCode, intNeListTypeCode, intTypeCode, langFeatAdjOffset, langFeatCode, longArrayTypeCode, longTypeCode, shortArrayTypeCode, shortTypeCode, sofaArrayFeatAdjOffset, sofaArrayFeatCode, sofaIdFeatAdjOffset, sofaIdFeatCode, sofaMimeFeatAdjOffset, sofaMimeFeatCode, sofaNumFeatAdjOffset, sofaNumFeatCode, sofaStringFeatAdjOffset, sofaStringFeatCode, sofaTypeCode, sofaUriFeatAdjOffset, sofaUriFeatCode, stringArrayTypeCode, stringEListTypeCode, stringListTypeCode, stringNeListTypeCode, stringTypeCode, topTypeCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeImpl_array(String name, TypeImpl componentType, TypeSystemImpl tsi, TypeImpl supertype, SlotKinds.SlotKind componentSlotKind, boolean isHeapStoredArray, Class<?> javaClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SlotKinds.SlotKind`
  `getComponentSlotKind()`
  Component Slot Kind
  `TypeImpl`
  `getComponentType()`
  For array types, returns the component type of the array type.
  `boolean`
  `isArray()`
  Check if the type is an array type.
  `boolean`
  `isTypedFsArray()`
  `boolean`
  `subsumes(TypeImpl subType)`

  ### Methods inherited from class org.apache.uima.cas.impl.TypeImpl

  `compareTo, equals, getAppropriateFeatures, getCode, getFeature, getFeatureByBaseName, getFeatureImpls, getFeatures, getFeaturesAsStream, getFsSpaceReq, getFsSpaceReq, getFsSpaceReq, getJCasClassName, getMergedStaticFeaturesIntroducedByThisType, getName, getNbrOfLongOrDoubleFeatures, getNumberOfFeatures, getShortName, getSuperType, getTypeSystem, hashCode, hashCodeNameLong, hasRefFeature, isAnnotationBaseType, isAnnotationType, isAppropriateFeature, isCreatableAndNotBuiltinArray, isFeatureFinal, isInheritanceFinal, isLongOrDouble, isPrimitive, isStringOrStringSubtype, isStringSubtype, isTopType, iterator, prettyPrint, prettyPrintWithSubTypes, subsumesStrictly, subsumesValue, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface org.apache.uima.cas.Type

  `subsumes`

- ## Constructor Details

  - ### TypeImpl_array

    public TypeImpl_array(String name, TypeImpl componentType, TypeSystemImpl tsi, TypeImpl supertype, SlotKinds.SlotKind componentSlotKind, boolean isHeapStoredArray, Class<?> javaClass)

- ## Method Details

  - ### getComponentType

    public TypeImpl getComponentType()
    Description copied from interface: `Type`
    For array types, returns the component type of the array type. For all other types, it will return `null`.
    Specified by:
      `getComponentType` in interface `Type`
    Overrides:
      `getComponentType` in class `TypeImpl`
    Returns:
      The component type of an array type.

  - ### isArray

    public boolean isArray()
    Description copied from interface: `Type`
    Check if the type is an array type.
    Specified by:
      `isArray` in interface `Type`
    Overrides:
      `isArray` in class `TypeImpl`
    Returns:
      `true` iff the type is an array type.
    See Also:
      - `Type.isArray()`

  - ### getComponentSlotKind

    public SlotKinds.SlotKind getComponentSlotKind()
    Component Slot Kind
    Overrides:
      `getComponentSlotKind` in class `TypeImpl`

  - ### subsumes

    public boolean subsumes(TypeImpl subType)
    Overrides:
      `subsumes` in class `TypeImpl`
    Parameters:
      `subType` - the subtype to check
    Returns:
      true if this type subsumes the subtype (is equal to or a supertype of the subtype)

  - ### isTypedFsArray

    public boolean isTypedFsArray()
    Overrides:
      `isTypedFsArray` in class `TypeImpl`
    Returns:
      true if this array type is a subtype of FSArray over a specific feature structure (other than TOP, or one of the primitives)